c
      program dimple
      real mu
c
      mu=0.3
      slip =1.0
      R1=10.0
      write(*,*)
      write(*,*)'mu,slip,R1 =',mu,slip,R1
      write(*,*)
c
      pi=3.141592654
      c3=-1.0/(8.0*pi*(1.0-mu))
      c4=1.0-2.0*mu
c
 10   write(*,*)'Enter Zs'
      read(*,*)Zs
c
      m=10
      dR=R1/m
      write(*,*)'m,dR',m,dR
c
      open(9,file='u1_d',status='unknown')
      write(9,2000)m,R1
 2000 format(i12,e12.4)
      rd=0.0
c      rr=sqrt(rd*rd+Zs*Zs)
c      rr2=rd*rd/(rr*rr)
c      u1=(2.0*C4+3.0*rr2)*rd/(rr*rr*rr)
      u1=0.0
      write(*,*)'rd,u1',rd,-pi*c3*Zs*u1
      write(9,2010)rd,-pi*c3*Zs*u1
 2010 format(2e12.4)
      sum1=0.0
      do j=1,m
        rd=dR*j
        rr=sqrt(rd*rd+Zs*Zs)
        rr2=rd*rd/(rr*rr)
        u2=(2.0*C4+3.0*rr2)*rd/(rr*rr*rr)
        sum1=sum1+0.5*(u1+u2)
        u1=u2
c      write(*,*)'rd,u1,sum',rd,-pi*c3*Zs*u1,-pi*c3*Zs*sum1*dR
      write(9,2010)rd,-pi*c3*Zs*u1
      end do
      sum1=-pi*c3*Zs*sum1*dR
      close(9)
c
      write(*,*)
      write(*,*)'sum =',sum1
c
c      goto 10     
c
      stop
      end
